<?php
defined('BASEPATH') OR exit('No direct script access allowed');

/*
| -------------------------------------------------------------------------
| URI ROUTING
| -------------------------------------------------------------------------
| This file lets you re-map URI requests to specific controller functions.
|
| Typically there is a one-to-one relationship between a URL string
| and its corresponding controller class/method. The segments in a
| URL normally follow this pattern:
|
|	example.com/class/method/id/
|
| In some instances, however, you may want to remap this relationship
| so that a different class/function is called than the one
| corresponding to the URL.
|
| Please see the user guide for complete details:
|
|	https://codeigniter.com/userguide3/general/routing.html
|
| -------------------------------------------------------------------------
| RESERVED ROUTES
| -------------------------------------------------------------------------
|
| There are three reserved routes:
|
|	$route['default_controller'] = 'welcome';
|
| This route indicates which controller class should be loaded if the
| URI contains no data. In the above example, the "welcome" class
| would be loaded.
|
|	$route['404_override'] = 'errors/page_missing';
|
| This route will tell the Router which controller/method to use if those
| provided in the URL cannot be matched to a valid route.
|
|	$route['translate_uri_dashes'] = FALSE;
|
| This is not exactly a route, but allows you to automatically route
| controller and method names that contain dashes. '-' isn't a valid
| class or method name character, so it requires translation.
| When you set this option to TRUE, it will replace ALL dashes in the
| controller and method URI segments.
|
| Examples:	my-controller/index	-> my_controller/index
|		my-controller/my-method	-> my_controller/my_method
*/
$route['default_controller'] = 'login';
$route['checklogin'] = 'login/checklogin';
$route['dashboard'] = 'welcome';
$route['addschool'] = 'welcome/add_school';
$route['schoolslist'] = 'welcome/schools_list';
$route['logout'] = 'welcome/is_logged_out';
$route['schooldashboard'] = 'register';


/*class*/
$route['addclass'] = 'register/add_class';
$route['editclass/(:any)'] = 'register/edit_class/$1';
$route['searchclasses'] = 'register/classes_list';
$route['transferclass'] = 'register/transfer_class_list';
$route['studentbreakup'] = 'register/student_breakup';
$route['attendance'] = 'register/school_attendance';



/*students*/
$route['studentslist'] = 'register/students_list';
$route['addstudent'] = 'register/student_add';
$route['editstudent/(:any)'] = 'register/edit_student/$1';

/*inquiry*/
$route['addinquiry'] = 'register/add_inquiry';
$route['editinquiry/(:any)'] = 'register/edit_inquiry/$1';
$route['searchinquiry'] = 'register/inquiry_list';
$route['add_lead/(:any)'] = 'new_lead/add_lead/$1';
$route['addnewregistration/(:any)'] = 'register/convert_inquiry_to_registration/$1';

/*registration*/
$route['addregistration'] = 'register/add_registration';
$route['searchregistration'] = 'register/registration_list';

/*fee*/
$route['feesetup'] = 'register/fee_setup';
$route['feecomponents'] = 'register/fee_components';
$route['fee_structure'] = 'register/class_fee_structure';
$route['concession'] = 'register/concession';

/*staff*/
$route['createstaff'] = 'register/create_staff';
$route['staffdetails'] = 'register/staff_list';
$route['editstaff/(:any)'] = 'register/edit_staff/$1';

/*inventory*/
$route['add-variants'] = 'register/add_variants';
$route['list-variants'] = 'register/list_variants';

$route['add-vendor'] = 'register/add_vendor';
$route['list-vendor'] = 'register/list_vendors';
$route['add-item'] = 'register/add_item';
$route['list-items'] = 'register/list_items';
$route['edit-item/(:any)'] = 'register/edit_item/$1';

/*messages*/
$route['compose'] = 'register/compose_message';
$route['inbox'] = 'register/inbox_messages';
$route['sent'] = 'register/sent_messages';
$route['scheduled'] = 'register/scheduled_messages';
$route['view-sent-message/(:any)'] = 'register/view_sent_message/$1';

/*gate passes*/
$route['create-gatepass'] = 'register/create_gatepasses';
$route['list-gatepasses'] = 'register/list_gate_passes';

/*CCTV */

$route['create-cctv'] = 'register/add_cctv';
$route['cctv-management'] = 'register/list_cctv';
$route['add-commonarea'] = 'register/add_common_area';

/*visitos*/
$route['list-visitors'] = 'register/list_visitors';
$route['add-visitor/(:any)'] = 'new_lead/add_visitor/$1';

/*expenses*/
$route['list-expenses'] = 'register/list_expenses';
$route['add-expense'] = 'register/add_expense';


/*day care*/
$route['addmeal'] = 'register/add_meal';
$route['createactivity'] = 'register/add_activity';
$route['editactivity/(:any)'] = 'register/edit_activity/$1';
$route['daycareactivities'] = 'register/activities_list';









$route['404_override'] = '';
$route['translate_uri_dashes'] = FALSE;
